Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Lederhofer <matled@gmx.net>2007-07-06 02:54:33 +0400
committerJunio C Hamano <gitster@pobox.com>2007-07-06 09:52:44 +0400
commit68ad8910f7b090a431b2da4e5f7be3de96112fa7 (patch)
tree8f1a84496cd0cef6feea7ed6c8cd1e01c4b617d1 /git-clone.sh
parent8960b5a7dfb160be65dc9122df8c7603a5f8aced (diff)
git-clone: split up long &&-command-chain and use a function for cleanup
Signed-off-by: Matthias Lederhofer <matled@gmx.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 48dafa21cf..4ca91009dd 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -187,15 +187,24 @@ dir="$2"
# Try using "humanish" part of source repo if user didn't specify one
[ -z "$dir" ] && dir=$(echo "$repo" | sed -e 's|/$||' -e 's|:*/*\.git$||' -e 's|.*[/:]||g')
[ -e "$dir" ] && die "destination directory '$dir' already exists."
-mkdir -p "$dir" &&
-D=$(cd "$dir" && pwd) &&
-trap 'err=$?; cd ..; rm -rf "$D"; exit $err' 0
+D=
+cleanup() {
+ err=$?
+ test -z "$D" && rm -rf "$dir"
+ cd ..
+ test -n "$D" && rm -rf "$D"
+ exit $err
+}
+trap cleanup 0
+mkdir -p "$dir" && D=$(cd "$dir" && pwd) || usage
case "$bare" in
yes)
GIT_DIR="$D" ;;
*)
GIT_DIR="$D/.git" ;;
-esac && export GIT_DIR && git init $quiet ${template+"$template"} || usage
+esac &&
+export GIT_DIR &&
+git-init $quiet ${template+"$template"} || usage
if test -n "$reference"
then